#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Embedded Linux Library
Summary(pl.UTF-8):	Embedded Linux Library - biblioteka osadzonego Linuksa
Name:		ell
Version:	0.54
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ell/%{name}-%{version}.tar.xz
# Source0-md5:	3006678f1ff79a3ca14713cbd41a61d3
URL:		https://git.kernel.org/pub/scm/libs/ell/ell.git/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Embedded Linux Library.

%description -l pl.UTF-8
Embedded Linux Library - biblioteka osadzonego Linuksa.

%package devel
Summary:	Header files for ELL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ELL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ELL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ELL.

%package static
Summary:	Static ELL library
Summary(pl.UTF-8):	Statyczna biblioteka ELL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ELL library.

%description static -l pl.UTF-8
Statyczna biblioteka ELL.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build-aux
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pie \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libell.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libell.so
%{_includedir}/ell
%{_pkgconfigdir}/ell.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libell.a
%endif
%changelog
* Fri Nov 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ell.git;a=log;h=master

* Fri Nov 18 2022 Jan Palus <atler@pld-linux.org> e0f0ad7
- up to 0.54

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 7fd8481
- up to 0.53

* Fri Jul 15 2022 Jan Palus <atler@pld-linux.org> 44dc6dc
- up to 0.52

* Sun Jun 05 2022 Jan Palus <atler@pld-linux.org> b144a84
- up to 0.51

* Fri Apr 22 2022 Jan Palus <jpalus@fastmail.com> 6e02f98
- up to 0.50

* Fri Feb 25 2022 Jan Palus <atler@pld-linux.org> 737d61b
- up to 0.49

* Wed Jan 26 2022 Jan Palus <atler@pld-linux.org> 48ae417
- up to 0.48

* Thu Jan 06 2022 Jan Palus <atler@pld-linux.org> 9f65999
- up to 0.47

* Fri Nov 19 2021 Jan Palus <atler@pld-linux.org> c07331e
- up to 0.46

* Wed Nov 03 2021 Jan Palus <atler@pld-linux.org> afc7c16
- up to 0.45

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> f61df31
- up to 0.44

* Sun Aug 22 2021 Jan Palus <atler@pld-linux.org> 6893a6b
- up to 0.43

* Mon Aug 02 2021 Jan Palus <atler@pld-linux.org> e926da2
- up to 0.42

* Fri Jun 11 2021 Jan Palus <atler@pld-linux.org> 3e1bbe2
- up to 0.41

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> 2a42fca
- up to 0.40

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 99a4032
- up to 0.39

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> c97b30a
- up to 0.38

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 7efcd6a
- up to 0.37

* Fri Jan 08 2021 Jan Palus <atler@pld-linux.org> e85933c
- up to 0.36

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> af40e72
- up to 0.35

